## padthv1 0.9.12

=== CMakeLists.txt ===
project(PADTHV1)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.9.12")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
else ()
  set (VERSION "${VERSION}")
endif ()

set (PACKAGE_NAME "padthv1")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "padthv1")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable JACK standalone build.
option (CONFIG_JACK "Enable JACK stand-alone build (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK MIDI support option.
option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)

# Enable ALSA MIDI support option.
option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)

# Enable LV2 plugin build.
option (CONFIG_LV2 "Enable LV2 plug-in build (default=yes)" 1)

option (CONFIG_LV2_UI_X11 "Enable LV2 plug-in X11 UI support (default=yes)" 1)

option (CONFIG_LV2_UI_EXTERNAL "Enable LV2 plug-in External UI support (default=yes)" 1)

option (CONFIG_LV2_UI_IDLE "Enable LV2 UI Idle interface support (default=yes)" 1)

option (CONFIG_LV2_UI_SHOW "Enable LV2 UI Show interface support (default=yes)" 1)

option (CONFIG_LV2_UI_RESIZE "Enable LV2 UI Resize interface support (default=yes)" 1)

option (CONFIG_LV2_PROGRAMS "Enable LV2 plug-in Programs support (default=yes)" 1)

option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)

# Enable liblo availability.
option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)

# Enable NSM support.
option (CONFIG_NSM "Enable NSM support (default=yes)" 1)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)

#find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Make sure we get some subtle optimizations out there...
add_compile_options (-ffast-math)

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (PkgConfig REQUIRED)

# Check for FFTW3 libraries.
pkg_check_modules (FFTW3 REQUIRED fftw3)
if (FFTW3_FOUND)
  set (CONFIG_FFTW3 1)
  include_directories (${FFTW3_INCLUDE_DIRS})
  link_directories (${FFTW3_LIBRARY_DIRS})
  link_libraries (${FFTW3_LIBRARIES})
# set (CMAKE_REQUIRED_LIBRARIES "${FFTW3_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** FFTW3 library not found.")
  set (CONFIG_FFTW3 0)
endif ()

# Check for JACK libraries.
if (CONFIG_JACK)
  pkg_check_modules (JACK jack>=0.100.0)
  if (JACK_FOUND)
    include_directories (${JACK_INCLUDE_DIRS})
    link_directories (${JACK_LIBRARY_DIRS})
  # link_libraries (${JACK_LIBRARIES})
    set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    # Check for JACK MIDI headers availability.
    if (CONFIG_JACK_MIDI)
      check_include_file (jack/midiport.h HAVE_JACK_MIDIPORT_H)
      if (NOT HAVE_JACK_MIDIPORT_H)
        set (CONFIG_JACK_MIDI 0)
      endif ()
    endif ()
    # Check for JACK session headers availability.
    if (CONFIG_JACK_SESSION)
      check_include_file (jack/session.h HAVE_JACK_SESSION_H)
      if (NOT HAVE_JACK_SESSION_H)
        set (CONFIG_JACK_SESSION 0)
      endif ()
    endif ()
    # Check for JACK session event callback availability.
    if (CONFIG_JACK_SESSION)
      check_function_exists (jack_set_session_callback CONFIG_JACK_SESSION)
    endif ()
    # Check for ALSA libraries.
    if (CONFIG_ALSA_MIDI)
      pkg_check_modules (ALSA alsa)
      set (CONFIG_ALSA_MIDI ${ALSA_FOUND})
      if (CONFIG_ALSA_MIDI)
        include_directories (${ALSA_INCLUDE_DIRS})
        link_directories (${ALSA_LIBRARY_DIRS})
        link_libraries (${ALSA_LIBRARIES})
      # set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
      else ()
        message (WARNING "*** ALSA library not found.")
      endif ()
    endif ()
  else ()
    message (WARNING "*** JACK library not found.")
    set (CONFIG_JACK 0)
  endif ()
endif ()

if (NOT CONFIG_JACK)
  set (CONFIG_JACK_SESSION 0)
  set (CONFIG_JACK_MIDI 0)
  set (CONFIG_ALSA_MIDI 0)
  set (CONFIG_LIBLO 0)
  set (CONFIG_NSM 0)
endif ()

# Check for LIBLO libraries.
if (CONFIG_LIBLO)
  pkg_check_modules (LIBLO liblo)
  if (LIBLO_FOUND)
    include_directories (${LIBLO_INCLUDE_DIRS})
    link_directories (${LIBLO_LIBRARY_DIRS})
    link_libraries (${LIBLO_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${LIBLO_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** LIBLO library not found.")
    set (CONFIG_LIBLO 0)
  endif ()
endif ()

# Check for LV2 support.
if (CONFIG_LV2)
  pkg_check_modules (LV2 lv2)
  if (LV2_FOUND)
    include_directories (${LV2_INCLUDE_DIRS})
    link_directories (${LV2_LIBRARY_DIRS})
    link_libraries (${LV2_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${LV2_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    # Check for LV2 Atom support.
    check_include_file (lv2/lv2plug.in/ns/ext/atom/atom.h HAVE_LV2_ATOM_H)
    if (NOT HAVE_LV2_ATOM_H)
      set (CONFIG_LV2_ATOM 0)
    else ()
      set (CONFIG_LV2_ATOM 1)
    endif ()
    set (CONFIG_LV2_ATOM_FORGE_OBJECT ${CONFIG_LV2_ATOM})
    set (CONFIG_LV2_ATOM_FORGE_KEY ${CONFIG_LV2_ATOM})
    # Check for LV2 UI support.
    check_include_file (lv2/lv2plug.in/ns/extensions/ui/ui.h HAVE_LV2_UI_H)
    if (NOT HAVE_LV2_UI_H)
      set (CONFIG_LV2_UI 0)
    else ()
      set (CONFIG_LV2_UI 1)
    endif ()
    if (NOT CONFIG_LV2_UI)
      set (CONFIG_LV2_UI_X11 0)
      set (CONFIG_LV2_UI_EXTERNAL 0)
      set (CONFIG_LV2_UI_IDLE 0)
      set (CONFIG_LV2_UI_SHOW 0)
      set (CONFIG_LV2_UI_RESIZE 0)
    endif ()
  else ()
    message (WARNING "*** LV2 SDK not found.")
    set (CONFIG_LV2 0)
  endif ()
endif ()

# Check for LV2 headers.
if (CONFIG_LV2)
  set (LV2_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/lv2)
  set (CMAKE_REQUIRED_INCLUDES "${LV2_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
  include_directories (${LV2_INCLUDES})
else ()
  set (CONFIG_LV2_UI_X11 0)
  set (CONFIG_LV2_UI_EXTERNAL 0)
  set (CONFIG_LV2_UI_IDLE 0)
  set (CONFIG_LV2_UI_SHOW 0)
  set (CONFIG_LV2_UI_RESIZE 0)
  set (CONFIG_LV2_PROGRAMS 0)
  set (CONFIG_LV2_PATCH 0)
endif ()

if (CONFIG_LV2_UI_EXTERNAL)
  check_include_file (lv2_external_ui.h HAVE_LV2_EXTERNAL_UI_H)
  if (NOT HAVE_LV2_EXTERNAL_UI_H)
    set (CONFIG_LV2_UI_EXTERNAL 0)
  endif ()
endif ()

if (CONFIG_LV2_PROGRAMS)
  check_include_file (lv2_programs.h HAVE_LV2_PROGRAMS_H)
  if (NOT HAVE_LV2_PROGRAMS_H)
    set (CONFIG_LV2_PROGRAMS 0)
  endif ()
endif ()

if (CONFIG_LV2_PATCH)
  check_include_file (lv2/lv2plug.in/ns/ext/patch/patch.h HAVE_LV2_PATCH_H)
  if (NOT HAVE_LV2_PATCH_H)
    set (CONFIG_LV2_PATCH 0)
  endif ()
endif ()


add_subdirectory (src)


configure_file (padthv1.spec.in padthv1.spec IMMEDIATE @ONLY)

install (FILES padthv1.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES padthv1.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME padthv1.1)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  JACK stand-alone build . . . . . . . . . . . . . ." CONFIG_JACK)
show_option ("  JACK session support . . . . . . . . . . . . . . ." CONFIG_JACK_SESSION)
show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
show_option ("  LV2 plug-in build  . . . . . . . . . . . . . . . ." CONFIG_LV2)
show_option ("  LV2 plug-in X11 UI support   . . . . . . . . . . ." CONFIG_LV2_UI_X11)
show_option ("  LV2 plug-in External UI support  . . . . . . . . ." CONFIG_LV2_UI_EXTERNAL)
show_option ("  LV2 plug-in UI Idle interface support  . . . . . ." CONFIG_LV2_UI_IDLE)
show_option ("  LV2 plug-in UI Show interface support  . . . . . ." CONFIG_LV2_UI_SHOW)
show_option ("  LV2 plug-in UI Resize interface support  . . . . ." CONFIG_LV2_UI_RESIZE)
show_option ("  LV2 plug-in Programs support . . . . . . . . . . ." CONFIG_LV2_PROGRAMS)
show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
set(NAME padthv1)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  padthv1.h
  padthv1_sample.h
  padthv1_config.h
  padthv1_filter.h
  padthv1_formant.h
  padthv1_wave.h
  padthv1_ramp.h
  padthv1_list.h
  padthv1_fx.h
  padthv1_reverb.h
  padthv1_param.h
  padthv1_sched.h
  padthv1_tuning.h
  padthv1_programs.h
  padthv1_controls.h
)

set (SOURCES
  padthv1.cpp
  padthv1_sample.cpp
  padthv1_config.cpp
  padthv1_formant.cpp
  padthv1_wave.cpp
  padthv1_param.cpp
  padthv1_sched.cpp
  padthv1_tuning.cpp
  padthv1_programs.cpp
  padthv1_controls.cpp
)

qt5_wrap_cpp (MOC_SOURCES ${HEADERS})


set (HEADERS_UI
  padthv1_ui.h
  padthv1widget.h
  padthv1widget_env.h
  padthv1widget_filt.h
  padthv1widget_sample.h
  padthv1widget_wave.h
  padthv1widget_param.h
  padthv1widget_keybd.h
  padthv1widget_preset.h
  padthv1widget_status.h
  padthv1widget_programs.h
  padthv1widget_controls.h
  padthv1widget_control.h
  padthv1widget_palette.h
  padthv1widget_config.h
)

set (SOURCES_UI
  padthv1_ui.cpp
  padthv1widget.cpp
  padthv1widget_env.cpp
  padthv1widget_filt.cpp
  padthv1widget_sample.cpp
  padthv1widget_wave.cpp
  padthv1widget_param.cpp
  padthv1widget_keybd.cpp
  padthv1widget_preset.cpp
  padthv1widget_status.cpp
  padthv1widget_programs.cpp
  padthv1widget_controls.cpp
  padthv1widget_control.cpp
  padthv1widget_palette.cpp
  padthv1widget_config.cpp
)

set (FORMS_UI
  padthv1widget.ui
  padthv1widget_control.ui
  padthv1widget_config.ui
)

set (RESOURCES_UI
  padthv1.qrc
)

qt5_wrap_ui (UI_SOURCES_UI ${FORMS_UI})
qt5_wrap_cpp (MOC_SOURCES_UI ${HEADERS_UI})
qt5_add_resources (QRC_SOURCES_UI ${RESOURCES_UI})


set (HEADERS_LV2
  padthv1_lv2.h
  padthv1_lv2ui.h
  padthv1widget_lv2.h
)

set (SOURCES_LV2
  padthv1_lv2.cpp
  padthv1_lv2ui.cpp
  padthv1widget_lv2.cpp
)

qt5_wrap_cpp (MOC_SOURCES_LV2 ${HEADERS_LV2})


set (HEADERS_JACK
  padthv1_nsm.h
  padthv1_jack.h
  padthv1widget_jack.h
)

set (SOURCES_JACK
  padthv1_nsm.cpp
  padthv1_jack.cpp
  padthv1widget_jack.cpp
)

qt5_wrap_cpp (MOC_SOURCES_JACK ${HEADERS_JACK})


add_library (${NAME} STATIC
  ${MOC_SOURCES}
  ${SOURCES}
)

add_library (${NAME}_ui STATIC
  ${UI_SOURCES_UI}
  ${MOC_SOURCES_UI}
  ${QRC_SOURCES_UI}
  ${SOURCES_UI}
)

add_library (${NAME}_lv2 MODULE
  ${MOC_SOURCES_LV2}
  ${SOURCES_LV2}
)

add_executable (${NAME}_jack
  ${MOC_SOURCES_JACK}
  ${SOURCES_JACK}
)


set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 11)

target_link_libraries (${NAME}       PUBLIC Qt5::Core Qt5::Xml)
target_link_libraries (${NAME}_ui    PUBLIC Qt5::Widgets ${NAME})
target_link_libraries (${NAME}_lv2   PRIVATE ${NAME}_ui)
target_link_libraries (${NAME}_jack  PRIVATE ${NAME}_ui)

if (CONFIG_FFTW3)
  target_link_libraries (${NAME} PRIVATE ${FFTW3_LIBRARIES})
endif ()

if (CONFIG_JACK)
  target_link_libraries (${NAME}_jack PRIVATE ${JACK_LIBRARIES})
endif ()

if (CONFIG_ALSA_MIDI)
  target_link_libraries (${NAME}_jack PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_LIBLO)
  target_link_libraries (${NAME}_jack PRIVATE ${LIBLO_LIBRARIES})
endif ()


if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
  add_custom_command(TARGET ${NAME}_lv2  POST_BUILD
    COMMAND strip -v lib${NAME}_lv2.so)
  add_custom_command(TARGET ${NAME}_jack POST_BUILD
    COMMAND strip -v ${NAME}_jack)
endif ()


if (UNIX AND NOT APPLE)
  if (CONFIG_PREFIX MATCHES $ENV{HOME})
    set (CONFIG_LV2DIR ${CONFIG_PREFIX}/.lv2)
  else ()
    set (CONFIG_LV2DIR ${CONFIG_LIBDIR}/lv2)
  endif ()
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${NAME}_lv2.so
     RENAME ${NAME}.so
     DESTINATION ${CONFIG_LV2DIR}/${NAME}.lv2)
  install (FILES ${NAME}.lv2/manifest.ttl
     ${NAME}.lv2/${NAME}.ttl
     ${NAME}.lv2/${NAME}_ui.ttl
     DESTINATION ${CONFIG_LV2DIR}/${NAME}.lv2)
  install (TARGETS ${NAME}_jack RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${NAME}-preset.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${NAME}-preset.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

## padthv1 0.8.5

=== debian/changelog ===
padthv1 (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Bump Standards.
  * Patch refreshed.
  * Use secure uri in watch file.
  * Fix install of metainfo files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Nov 2017 11:05:58 +0100

padthv1 (0.8.4-1) unstable; urgency=medium

  * Initial release. (Closes: #872972)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 23 Aug 2017 11:20:52 +0200

=== debian/control ===
Source: padthv1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper (>= 10~),
 libtool,
 libx11-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 ladspa-sdk,
 lv2-dev,
 libsndfile1-dev,
 libasound2-dev,
 libjack-dev,
 libfftw3-dev,
 liblo-dev,
Homepage: https://padthv1.sourceforge.io/
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git

Package: padthv1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 padthv1-common (= ${binary:Version}),
Recommends:
 jackd
Description: old-school polyphonic additive synthesizer - standalone app
 padthv1 is an old-school polyphonic additive synthesizer
 with stereo effects. It is provided in both forms
 of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides the standalone app.

Package: padthv1-lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 padthv1-common (= ${binary:Version}),
Provides:
 lv2-plugin
Description: old-school polyphonic additive synthesizer - LV2 plugin
 padthv1 is an old-school polyphonic additive synthesizer
 with stereo effects. It is provided in both forms
 of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides the LV2 plugin.

Package: padthv1-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: old-school polyphonic additive synthesizer - common files
 padthv1 is an old-school polyphonic additive synthesizer
 with stereo effects. It is provided in both forms
 of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides files shared by both the LV2 plugin and the standalone
 application.

## padthv1 0.8.6

=== debian/changelog ===
padthv1 (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * Bump Standards.
  * Set dh/compat 11.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 29 Dec 2017 07:20:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

EXTRA_CONFIGURE_ARGS = \
 --enable-jack \
 --enable-jack-midi \
 --enable-jack-session \
 --enable-lv2

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

ifeq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIGURE_ARGS += --enable-alsa-midi
else
EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

override_dh_auto_install:
	cp $(CURDIR)/padthv1.1 $(CURDIR)/padthv1_jack.1
	dh_auto_install
	cp $(CURDIR)/debian/tmp/usr/share/mime/packages/padthv1.xml $(CURDIR)/debian/padthv1-common.sharedmimeinfo

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/debian/padthv1-common.sharedmimeinfo
	rm -f $(CURDIR)/padthv1_jack.1

## padthv1 0.8.6.1+rb2

=== debian/changelog ===
padthv1 (0.8.6.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Thu, 28 Jan 2021 19:47:04 +0800

## padthv1 0.9.12

=== debian/changelog ===
padthv1 (0.9.12-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:30 +0100

padthv1 (0.9.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.9.12

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun]
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.4.1
    + Add libjack-jackd2-dev as optional build dependency
    + Remove obsolete ${shlibs:Depends} from padthv1-common
  * d/copyright:
    + Add FSFAP license
    + Update years and http to https
  * d/padthv1-common.install: Drop so.* files
  * d/padthv1-lv2.install: Fix install path
  * d/padthv1.manpages: Add french translation
  * d/patches/02-fix_install_path.patch: Drop, obsolete

  [ Sebastian Ramacher ]
  * debian/padthv1.mime: Fix quoted-placeholder-in-mailcap-entry

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 07 Jan 2020 21:59:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: padthv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  libtool,
  libx11-dev,
  qtbase5-dev,
@@ -14,13 +14,13 @@
  lv2-dev,
  libsndfile1-dev,
  libasound2-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  libfftw3-dev,
  liblo-dev,
 Homepage: https://padthv1.sourceforge.io/
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/padthv1.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/padthv1
 
 Package: padthv1
 Architecture: any
@@ -60,7 +60,6 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
 Description: old-school polyphonic additive synthesizer - common files
  padthv1 is an old-school polyphonic additive synthesizer
  with stereo effects. It is provided in both forms

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 override_dh_auto_install:
 	cp $(CURDIR)/padthv1.1 $(CURDIR)/padthv1_jack.1
+	cp $(CURDIR)/padthv1.fr.1 $(CURDIR)/padthv1_jack.fr.1
 	dh_auto_install
 	cp $(CURDIR)/debian/tmp/usr/share/mime/packages/padthv1.xml $(CURDIR)/debian/padthv1-common.sharedmimeinfo

## padthv1 0.9.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.12")
+set (VERSION "0.9.16")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -85,6 +85,9 @@
 
 option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)
 
+option (CONFIG_LV2_PORT_EVENT "Enable LV2 plug-in Port-event support (EXPERIMENTAL) (default=yes)" 1)
+
+
 # Enable liblo availability.
 option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)
 
@@ -306,6 +309,7 @@
 show_option ("  LV2 plug-in UI Resize interface support  . . . . ." CONFIG_LV2_UI_RESIZE)
 show_option ("  LV2 plug-in Programs support . . . . . . . . . . ." CONFIG_LV2_PROGRAMS)
 show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
+show_option ("  LV2 plug-in Port-event support (EXPERIMENTAL)  . ." CONFIG_LV2_PORT_EVENT)
 show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
 show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,7 @@
 set (FORMS_UI
   padthv1widget.ui
   padthv1widget_control.ui
+  padthv1widget_palette.ui
   padthv1widget_config.ui
 )
 
@@ -174,9 +175,9 @@
 
 if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
   add_custom_command(TARGET ${NAME}_lv2  POST_BUILD
-    COMMAND strip -v lib${NAME}_lv2.so)
+    COMMAND strip lib${NAME}_lv2.so)
   add_custom_command(TARGET ${NAME}_jack POST_BUILD
-    COMMAND strip -v ${NAME}_jack)
+    COMMAND strip ${NAME}_jack)
 endif ()

=== debian/changelog ===
padthv1 (0.9.16-1) unstable; urgency=medium

  * New upstream version 0.9.16

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 17:12:50 +0200

padthv1 (0.9.15-1) unstable; urgency=medium

  * New upstream version 0.9.15
  * Mark padthv1-common as Multi-Arch: foreign
  * Change padthv1-common Architecture to all
  * Make padthv1 and padthv1-lv2 depend on source:Version and not binary

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 13 Jul 2020 21:35:08 +0200

padthv1 (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14
  * Install usr/share/mime/packages
  * Update cross build patch
  * Bump dh-compat to 13
  * Add false positives to d/not-installed
  * d/rules: Remove obsolete linker flag

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 09 May 2020 23:35:16 +0200

padthv1 (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * Update cross build patch
  * d/upstream/metadata: Add Archive and remove name
  * Update d/copyright year

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 22:53:08 +0200

padthv1 (0.9.12-2) unstable; urgency=medium

  * Use QMAKE_STRIP instead of hardcoding strip
  * Drop patch 03, obsolete
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Set RRR: no
  * d/rules: Add renamed french manpage to dh_clean
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Mar 2020 12:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libtool,
  libx11-dev,
  qtbase5-dev,
@@ -18,16 +19,17 @@
  libfftw3-dev,
  liblo-dev,
 Homepage: https://padthv1.sourceforge.io/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/padthv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/padthv1
+Rules-Requires-Root: no
 
 Package: padthv1
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- padthv1-common (= ${binary:Version}),
+ padthv1-common (= ${source:Version}),
 Recommends:
  jackd
 Description: old-school polyphonic additive synthesizer - standalone app
@@ -44,7 +46,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- padthv1-common (= ${binary:Version}),
+ padthv1-common (= ${source:Version}),
 Provides:
  lv2-plugin
 Description: old-school polyphonic additive synthesizer - LV2 plugin
@@ -57,7 +59,8 @@
  This package provides the LV2 plugin.
 
 Package: padthv1-common
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: old-school polyphonic additive synthesizer - common files

## padthv1 0.9.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.16")
+set (VERSION "0.9.18")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -12,8 +12,8 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[v1_]+"  "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (
@@ -124,7 +124,7 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for FFTW3 libraries.
-pkg_check_modules (FFTW3 REQUIRED fftw3)
+pkg_check_modules (FFTW3 REQUIRED fftw3f)
 if (FFTW3_FOUND)
   set (CONFIG_FFTW3 1)
   include_directories (${FFTW3_INCLUDE_DIRS})
@@ -311,6 +311,6 @@
 show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
 show_option ("  LV2 plug-in Port-event support (EXPERIMENTAL)  . ." CONFIG_LV2_PORT_EVENT)
 show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
-show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
+show_option ("  NSM (New Session Management) support . . . . . . ." CONFIG_NSM)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -146,10 +146,10 @@
 )
 
 
-set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 11)
+set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 17)
 
 target_link_libraries (${NAME}       PUBLIC Qt5::Core Qt5::Xml)
 target_link_libraries (${NAME}_ui    PUBLIC Qt5::Widgets ${NAME})

=== debian/changelog ===
padthv1 (0.9.18-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 02 Nov 2020 12:41:02 -0500

padthv1 (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18
  * Add myself to the d/ section in d/copyright
  * Update d/not-installed
  * d/tests/control: Remove allow-stderr and add superficial to Restrictions

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 28 Oct 2020 20:13:19 +0100

padthv1 (0.9.17-1) unstable; urgency=medium

  * New upstream version 0.9.17
  * Add a simple autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 09 Sep 2020 21:57:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: padthv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -37,3 +35,4 @@
 	dh_clean
 	rm -f $(CURDIR)/debian/padthv1-common.sharedmimeinfo
 	rm -f $(CURDIR)/padthv1_jack.1
+	rm -f $(CURDIR)/padthv1_jack.fr.1

## padthv1 0.9.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-project(PADTHV1)
+project(padthv1)
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.18")
+set (VERSION "0.9.19")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -100,10 +100,18 @@
   cmake_policy (SET CMP0075 NEW)
 endif ()
 
+# Fix for CXX_VISIBILITY_PRESET policy.
+if (POLICY CMP0063)
+  cmake_policy (SET CMP0063 NEW)
+  set (CMAKE_CXX_VISIBILITY_PRESET hidden)
+  set (CMAKE_VISIBILITY_INLINES_HIDDEN 1)
+endif ()
+
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)
-
-#find_package (Qt5LinguistTools)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml)
+
+#find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)

=== src/CMakeLists.txt ===
# project(padthv1)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  padthv1.h
  padthv1_sample.h
  padthv1_config.h
  padthv1_filter.h
  padthv1_formant.h
  padthv1_wave.h
  padthv1_ramp.h
  padthv1_list.h
  padthv1_fx.h
  padthv1_reverb.h
  padthv1_param.h
  padthv1_sched.h
  padthv1_tuning.h
  padthv1_programs.h
  padthv1_controls.h
)

set (SOURCES
  padthv1.cpp
  padthv1_sample.cpp
  padthv1_config.cpp
  padthv1_formant.cpp
  padthv1_wave.cpp
  padthv1_param.cpp
  padthv1_sched.cpp
  padthv1_tuning.cpp
  padthv1_programs.cpp
  padthv1_controls.cpp
)

qt5_wrap_cpp (MOC_SOURCES ${HEADERS})


set (HEADERS_UI
  padthv1_ui.h
  padthv1widget.h
  padthv1widget_env.h
  padthv1widget_filt.h
  padthv1widget_sample.h
  padthv1widget_wave.h
  padthv1widget_param.h
  padthv1widget_keybd.h
  padthv1widget_preset.h
  padthv1widget_status.h
  padthv1widget_programs.h
  padthv1widget_controls.h
  padthv1widget_control.h
  padthv1widget_palette.h
  padthv1widget_config.h
)

set (SOURCES_UI
  padthv1_ui.cpp
  padthv1widget.cpp
  padthv1widget_env.cpp
  padthv1widget_filt.cpp
  padthv1widget_sample.cpp
  padthv1widget_wave.cpp
  padthv1widget_param.cpp
  padthv1widget_keybd.cpp
  padthv1widget_preset.cpp
  padthv1widget_status.cpp
  padthv1widget_programs.cpp
  padthv1widget_controls.cpp
  padthv1widget_control.cpp
  padthv1widget_palette.cpp
  padthv1widget_config.cpp
)

set (FORMS_UI
  padthv1widget.ui
  padthv1widget_control.ui
  padthv1widget_palette.ui
  padthv1widget_config.ui
)

set (RESOURCES_UI
  padthv1.qrc
)

qt_wrap_ui (UI_SOURCES_UI ${FORMS_UI})
qt_wrap_cpp (MOC_SOURCES_UI ${HEADERS_UI})
qt_add_resources (QRC_SOURCES_UI ${RESOURCES_UI})


set (HEADERS_LV2
  padthv1_lv2.h
  padthv1_lv2ui.h
  padthv1widget_lv2.h
)

set (SOURCES_LV2
  padthv1_lv2.cpp
  padthv1_lv2ui.cpp
  padthv1widget_lv2.cpp
)

qt_wrap_cpp (MOC_SOURCES_LV2 ${HEADERS_LV2})


set (HEADERS_JACK
  padthv1_nsm.h
  padthv1_jack.h
  padthv1widget_jack.h
)

set (SOURCES_JACK
  padthv1_nsm.cpp
  padthv1_jack.cpp
  padthv1widget_jack.cpp
)

qt_wrap_cpp (MOC_SOURCES_JACK ${HEADERS_JACK})


add_library (${PROJECT_NAME} STATIC
  ${MOC_SOURCES}
  ${SOURCES}
)

add_library (${PROJECT_NAME}_ui STATIC
  ${UI_SOURCES_UI}
  ${MOC_SOURCES_UI}
  ${QRC_SOURCES_UI}
  ${SOURCES_UI}
)

add_library (${PROJECT_NAME}_lv2 MODULE
  ${MOC_SOURCES_LV2}
  ${SOURCES_LV2}
)

add_executable (${PROJECT_NAME}_jack
  ${MOC_SOURCES_JACK}
  ${SOURCES_JACK}
)


set_target_properties (${PROJECT_NAME}       PROPERTIES CXX_STANDARD 17)
set_target_properties (${PROJECT_NAME}_ui    PROPERTIES CXX_STANDARD 17)
set_target_properties (${PROJECT_NAME}_lv2   PROPERTIES CXX_STANDARD 17)
set_target_properties (${PROJECT_NAME}_jack  PROPERTIES CXX_STANDARD 17)

target_link_libraries (${PROJECT_NAME}       PUBLIC Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Xml)
target_link_libraries (${PROJECT_NAME}_ui    PUBLIC Qt${QT_VERSION_MAJOR}::Widgets ${PROJECT_NAME})
target_link_libraries (${PROJECT_NAME}_lv2   PRIVATE ${PROJECT_NAME}_ui)
target_link_libraries (${PROJECT_NAME}_jack  PRIVATE ${PROJECT_NAME}_ui)

if (CONFIG_FFTW3)
  target_link_libraries (${PROJECT_NAME} PRIVATE ${FFTW3_LIBRARIES})
endif ()

if (CONFIG_JACK)
  target_link_libraries (${PROJECT_NAME}_jack PRIVATE ${JACK_LIBRARIES})
endif ()

if (CONFIG_ALSA_MIDI)
  target_link_libraries (${PROJECT_NAME}_jack PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_LIBLO)
  target_link_libraries (${PROJECT_NAME}_jack PRIVATE ${LIBLO_LIBRARIES})
endif ()


if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
  add_custom_command(TARGET ${PROJECT_NAME}_lv2  POST_BUILD
    COMMAND strip lib${PROJECT_NAME}_lv2.so)
  add_custom_command(TARGET ${PROJECT_NAME}_jack POST_BUILD
    COMMAND strip ${PROJECT_NAME}_jack)
endif ()


if (UNIX AND NOT APPLE)
  if (CONFIG_PREFIX MATCHES $ENV{HOME})
    set (CONFIG_LV2DIR ${CONFIG_PREFIX}/.lv2)
  else ()
    set (CONFIG_LV2DIR ${CONFIG_LIBDIR}/lv2)
  endif ()
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${PROJECT_NAME}_lv2.so
     RENAME ${PROJECT_NAME}.so
     DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}.lv2)
  install (FILES ${PROJECT_NAME}.lv2/manifest.ttl
     ${PROJECT_NAME}.lv2/${PROJECT_NAME}.ttl
     ${PROJECT_NAME}.lv2/${PROJECT_NAME}_ui.ttl
     DESTINATION ${CONFIG_LV2DIR}/${PROJECT_NAME}.lv2)
  install (TARGETS ${PROJECT_NAME}_jack RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${PROJECT_NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${PROJECT_NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${PROJECT_NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/${PROJECT_NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${PROJECT_NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${PROJECT_NAME}-preset.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${PROJECT_NAME}-preset.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

=== debian/changelog ===
padthv1 (0.9.19-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 19 Jan 2021 00:27:48 -0500

padthv1 (0.9.19-1) unstable; urgency=medium

  * New upstream version 0.9.19
  * Enable debugging
  * Update d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 22 Dec 2020 00:47:16 +0100

padthv1 (0.9.18-2) unstable; urgency=medium

  * Re-add allow-stderr for stderr output
  * Bump S-V to 4.5.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 13 Dec 2020 17:21:00 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libfftw3-dev,
  liblo-dev,
 Homepage: https://padthv1.sourceforge.io/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/padthv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/padthv1
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 EXTRA_CONFIGURE_ARGS = \
+ --enable-debug \
  --enable-jack \
  --enable-jack-midi \
  --enable-jack-session \
@@ -22,6 +23,9 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

## padthv1 0.9.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-project(padthv1)
-
-cmake_minimum_required(VERSION 3.1)
-
-set (VERSION "0.9.19")
-
-set (CONFIG_VERSION ${VERSION})
+cmake_minimum_required(VERSION 3.10)
+
+project(padthv1
+  VERSION 0.9.20
+  DESCRIPTION "an old-school polyphonic additive synthesizer"
+  LANGUAGES C CXX)
+
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -25,7 +26,7 @@
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
 else ()
-  set (VERSION "${VERSION}")
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "padthv1")
@@ -132,7 +133,7 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for FFTW3 libraries.
-pkg_check_modules (FFTW3 REQUIRED fftw3f)
+pkg_check_modules (FFTW3 REQUIRED IMPORTED_TARGET fftw3f)
 if (FFTW3_FOUND)
   set (CONFIG_FFTW3 1)
   include_directories (${FFTW3_INCLUDE_DIRS})
@@ -146,7 +147,7 @@
 
 # Check for JACK libraries.
 if (CONFIG_JACK)
-  pkg_check_modules (JACK jack>=0.100.0)
+  pkg_check_modules (JACK IMPORTED_TARGET jack>=0.100.0)
   if (JACK_FOUND)
     include_directories (${JACK_INCLUDE_DIRS})
     link_directories (${JACK_LIBRARY_DIRS})
@@ -172,7 +173,7 @@
     endif ()
     # Check for ALSA libraries.
     if (CONFIG_ALSA_MIDI)
-      pkg_check_modules (ALSA alsa)
+      pkg_check_modules (ALSA IMPORTED_TARGET alsa)
       set (CONFIG_ALSA_MIDI ${ALSA_FOUND})
       if (CONFIG_ALSA_MIDI)
         include_directories (${ALSA_INCLUDE_DIRS})
@@ -199,7 +200,7 @@
 
 # Check for LIBLO libraries.
 if (CONFIG_LIBLO)
-  pkg_check_modules (LIBLO liblo)
+  pkg_check_modules (LIBLO IMPORTED_TARGET liblo)
   if (LIBLO_FOUND)
     include_directories (${LIBLO_INCLUDE_DIRS})
     link_directories (${LIBLO_LIBRARY_DIRS})
@@ -319,6 +320,6 @@
 show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
 show_option ("  LV2 plug-in Port-event support (EXPERIMENTAL)  . ." CONFIG_LV2_PORT_EVENT)
 show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
-show_option ("  NSM (New Session Management) support . . . . . . ." CONFIG_NSM)
+show_option ("  Non/New Session Management (NSM) support . . . . ." CONFIG_NSM)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
 # project(padthv1)
 
-include_directories (
-  ${CMAKE_CURRENT_SOURCE_DIR}
-  ${CMAKE_CURRENT_BINARY_DIR}
-)
-
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
+
+if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+  file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
@@ -38,8 +42,6 @@
   padthv1_controls.cpp
 )
 
-qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
-
 
 set (HEADERS_UI
   padthv1_ui.h
@@ -88,10 +90,6 @@
   padthv1.qrc
 )
 
-qt_wrap_ui (UI_SOURCES_UI ${FORMS_UI})
-qt_wrap_cpp (MOC_SOURCES_UI ${HEADERS_UI})
-qt_add_resources (QRC_SOURCES_UI ${RESOURCES_UI})
-
 
 set (HEADERS_LV2
   padthv1_lv2.h
@@ -105,8 +103,6 @@
   padthv1widget_lv2.cpp
 )
 
-qt_wrap_cpp (MOC_SOURCES_LV2 ${HEADERS_LV2})
-
 
 set (HEADERS_JACK
   padthv1_nsm.h
@@ -120,28 +116,26 @@
   padthv1widget_jack.cpp
 )
 
-qt_wrap_cpp (MOC_SOURCES_JACK ${HEADERS_JACK})
-
 
 add_library (${PROJECT_NAME} STATIC
-  ${MOC_SOURCES}
+  ${HEADERS}
   ${SOURCES}
 )
 
 add_library (${PROJECT_NAME}_ui STATIC
-  ${UI_SOURCES_UI}
-  ${MOC_SOURCES_UI}
-  ${QRC_SOURCES_UI}
+  ${HEADERS_UI}
   ${SOURCES_UI}
+  ${FORMS_UI}
+  ${RESOURCES_UI}
 )
 
 add_library (${PROJECT_NAME}_lv2 MODULE
-  ${MOC_SOURCES_LV2}
+  ${HEADERS_LV2}
   ${SOURCES_LV2}
 )
 
 add_executable (${PROJECT_NAME}_jack
-  ${MOC_SOURCES_JACK}
+  ${HEADERS_JACK}
   ${SOURCES_JACK}
 )
 
@@ -157,19 +151,19 @@
 target_link_libraries (${PROJECT_NAME}_jack  PRIVATE ${PROJECT_NAME}_ui)
 
 if (CONFIG_FFTW3)
-  target_link_libraries (${PROJECT_NAME} PRIVATE ${FFTW3_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::FFTW3)
 endif ()
 
 if (CONFIG_JACK)
-  target_link_libraries (${PROJECT_NAME}_jack PRIVATE ${JACK_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME}_jack PRIVATE PkgConfig::JACK)
 endif ()
 
 if (CONFIG_ALSA_MIDI)
-  target_link_libraries (${PROJECT_NAME}_jack PRIVATE ${ALSA_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME}_jack PRIVATE PkgConfig::ALSA)
 endif ()
 
 if (CONFIG_LIBLO)
-  target_link_libraries (${PROJECT_NAME}_jack PRIVATE ${LIBLO_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME}_jack PRIVATE PkgConfig::LIBLO)
 endif ()

=== debian/changelog ===
padthv1 (0.9.20-1) unstable; urgency=medium

  * New upstream version 0.9.20
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 10 Feb 2021 21:07:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: padthv1
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)
